/*******************************************************

    ██╗  ██╗███████╗ █████╗ ██████╗ ███████╗██████╗
    ██║  ██║██╔════╝██╔══██╗██╔══██╗██╔════╝██╔══██╗
    ███████║█████╗  ███████║██║  ██║█████╗  ██████╔╝
    ██╔══██║██╔══╝  ██╔══██║██║  ██║██╔══╝  ██╔══██╗
    ██║  ██║███████╗██║  ██║██████╔╝███████╗██║  ██║
    ╚═╝  ╚═╝╚══════╝╚═╝  ╚═╝╚═════╝ ╚══════╝╚═╝  ╚═╝

 *******************************************************/
html {
  margin-top: 0 !important;
}

.responsiville-stickymenu-active body.admin-bar {
  top: 32px;
}

@media (max-width: 782px) {
  .responsiville-stickymenu-active body.admin-bar {
    top: 46px;
  }
}
.responsiville-stickymenu-enabled {

    top: constant(safe-area-inset-top);
    top: env(safe-area-inset-top);
    top: 0;
}
    /* The page header. */

    .main-header {
        transition-property: padding;
        transition-delay: 0s;
        transition-timing-function: ease-in-out;
        transition-duration: 0s;
        background: var(--ks-primary-white);
    }

    .home .main-header,
    .single-project .main-header {
        transition-property: padding,;
        transition-delay: 0s;
        transition-timing-function: ease-in-out;
        transition-duration: 0s;
        mix-blend-mode: screen;
        background: transparent;
    }

    .small .main-header {
        padding: 20px   0;
    }
    
    .tablet .main-header {
        padding: var(--nvm-grid-gutter) 0;
        padding: calc(var(--nvm-grid-gutter) / 2) 0 !important;
    }

    .small .main-header.responsiville-stickymenu-active {
        padding: 20px 0 !important;
        z-index: 9;
        mix-blend-mode: unset;
    }

    .tablet .main-header.responsiville-stickymenu-active {
        padding: calc(var(--nvm-grid-gutter) / 2) 0 !important;
        z-index: 9;
        mix-blend-mode: unset;
    }

    .main-header::before {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        height: 0;
        background: var(--ks-primary-white);
        z-index: -1;
        transition: height 0.5s ease;
    }
    
    .main-header.responsiville-stickymenu-active::before {
        height: 100%;
    }

    body.home header:not(.responsiville-stickymenu-active) {
        background: transparent;
    }

    body.single-project header:not(.responsiville-stickymenu-active) {
        background: transparent;
    }


    /* Logo */
    .main-header-logo {
        isolation: isolate;
        position: relative;
    }

    .main-header-logo a,
    .main-header-logo h1 {
        line-height: 0.5em;
        font-size: 20px;
        padding: 0 !important;
        margin: 0 !important;
    }

    .main-header-logo a:hover {
        background: transparent !important;
    }

        .main-header-logo img {
            width: 45px !important;
            height: auto !important;
            transition-property: max-height;
        }

        body:not(.home) img.ks-white-logo {
            display: none;
        } 

        body.single-project img.ks-white-logo {
            display: block;
        } 

        .home header:not(.responsiville-stickymenu-active) img.ks-black-logo,
        .home header.responsiville-stickymenu-active img.ks-white-logo,
        .single-project header:not(.responsiville-stickymenu-active) img.ks-black-logo,
        .single-project header.responsiville-stickymenu-active img.ks-white-logo {
            display: none;
        } 


    /* Main menu */

    .main-header-navigation {
        flex-grow: 1;
    }

        .main-header-navigation .main-navigation {
            justify-content: flex-end;
        }